Update testset row

Update a specific row in a testset. ## Authentication - API key: `Authorization: Bearer ` ## Path Parameters - `testset_id` *string* **required**: The ID of the testset. - `row_index` *integer* **required**: The index of the row to update. ## Request Body ```json Request { "row_data": { "name": "Alice", "variable1": "", "first_name": "raymond", "object_var": { "some_key": "some_var" }, "variable_1": "the_row_with_object" } } ``` ## Examples ```python Python testset_id = "testset_id_123" row_index = 0 url = f"https://api.respan.ai/api/testsets/{testset_id}/rows/{row_index}" headers = { "Authorization": "Bearer YOUR_API_KEY", "Content-Type": "application/json" } data = { "row_data": { "name": "Alice", "first_name": "raymond" } } response = requests.patch(url, headers=headers, json=data) print(response.json()) ``` ```bash cURL curl -X PATCH "https://api.respan.ai/api/testsets/{testset_id}/rows/{row_index}" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "row_data": { "name": "Alice" } }' ``` ## Response ```json 200 OK { "row_index": 0, "row_data": { "name": "Alice", "first_name": "raymond" } } ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

testset_idstringRequired
The ID of the testset.
row_indexintegerRequired
The index of the row to update.

Request

This endpoint expects an object.

Response

Successful response for Update testset row

Errors

401
Unauthorized Error